% Doppler frequency calculations for
% various scenarios

% file: doppler_3.m
% update: Oct 10th, 2014

clc;
clear;

%scenario=1; % slow car,  24 GHz
%scenario=2; % fast car, 10 GHz
%scenario=3; % commercial plane, 2.45 GHz
scenario=4; % military plane, 1 GHz

cd('c:\W\MatLab');

c0 = 2.9979e8;		% speed of light in vacuum, m/s

x=sprintf('scenario: %u',scenario);
disp(x);

switch(scenario)

case{1}
	V_Tgt = 89;			% speed of target in km/h
	V_Tgt_1 = V_Tgt * 1000/3600;  % speed of target in m/sec
	f_Xmt = 24.2e9;  	% radar frequency in 1/sec
	f_Rec = f_Xmt*(1+2*V_Tgt_1/c0);
	f_Mix = f_Rec - f_Xmt;
	y=sprintf('doppler frequency at mixer output [Hz] : %4.2f\n',f_Mix);
	disp(y);
	%scenario: 1
	%doppler frequency at mixer output [Hz] : 3991.31

case{2}
	V_Tgt = 210;			% speed of target in km/h
	V_Tgt_1 = V_Tgt * 1000/3600;  % speed of target in m/sec
	f_Xmt = 10e9;  	% radar frequency in 1/sec
	f_Rec = f_Xmt*(1+2*V_Tgt_1/c0);
	f_Mix = f_Rec - f_Xmt;
	y=sprintf('doppler frequency at mixer output [Hz] : %4.2f\n',f_Mix);
	disp(y);
	%scenario: 2
	%doppler frequency at mixer output [Hz] : 3891.61

case{3}
	V_Tgt = 870;			% speed of target in km/h
	V_Tgt_1 = V_Tgt * 1000/3600;  % speed of target in m/sec
	f_Xmt = 2.45e9;  	% radar frequency in 1/sec
	f_Rec = f_Xmt*(1+2*V_Tgt_1/c0);
	f_Mix = f_Rec - f_Xmt;
	y=sprintf('doppler frequency at mixer output [Hz] : %4.2f\n',f_Mix);
	disp(y);
	%scenario: 3
	%doppler frequency at mixer output [Hz] : 3949.99
	
case{4}
	V_Tgt = 2000;			% speed of target in km/h
	V_Tgt_1 = V_Tgt * 1000/3600;  % speed of target in m/sec
	f_Xmt = 1.0e9;  	% radar frequency in 1/sec
	f_Rec = f_Xmt*(1+2*V_Tgt_1/c0);
	f_Mix = f_Rec - f_Xmt;
	y=sprintf('doppler frequency at mixer output [Hz] : %4.2f\n',f_Mix);
	disp(y);
	%scenario: 4
	%sdoppler frequency at mixer output [Hz] : 3706.30
	
end;	% end switch
